Foxit PDF SDK

Public Member Functions | List of all members
FoxitPDFSDKPython3.RevocationCallback Class Reference

Inherits FoxitPDFSDKPython3._object.

## Public Member Functions
def | GetCertChainFromSignature (signature_content)
| A callback function used to get the cert chain from the signature content. More...
def | GetCertValidTimeRange (cert)
| A callback function used to get the time range that represents validity period of a certificate. More...
def | GetCRLSignature (crl_data)
| A callback function used to get the signature content from a CRL response. More...
def | GetDTSTime (signature_content)
| A callback function used to get the DTS (document time stamp signature) time from signature content. More...
def | GetOCSPCertAndIssuer (ocsp_data, trust_cert_chain)
| A callback function used to get the cert-issuer pair of OCSP response. More...
def | GetOCSPProducedAtTime (ocsp_data)
| A callback function used to get the produce time of the OCSP response. More...
def | GetOCSPSignature (ocsp_data)
| A callback function used to get the signature content from a OCSP response. More...
def | GetResponseOnLineForSingleCert (cert_issuer_pair)
| A callback function used to get response online for a certificate. More...
def | GetRevocationInfoFromSignatureData (signature_content)
| A callback function used to get the revocation information (in array type) from a signature. More...
def | GetTSTSignature (signature_content)
| A callback function used to get the time stamp token content from a signature content. More...
def | GetTSTTime (signature_content)
| A callback function used to get the time stamp token time from signature content. More...
def | IsCA (cert)
| A callback function used to judge whether a certificate is a CA certificate. More...
def | IsIssuerMatchCert (cert_issuer_pair)
| A callback function used to check if an issuer matches a certificate. More...
def | IsOCSPNeedCheck (ocsp_data)
| A callback function used to get flag which decides if need to check OCSP response. More...
def | Release ()
| A callback function used to release current callback object itself. More...
def | VerifyCRL (cert_issuer_pair, crl_data)
| A callback function used to verify whether the CRL response matches the certificate and get the verify result for the certificate. More...
def | VerifyOCSP (cert_issuer_pair, ocsp_data)
| A callback function used to verify whether the OCSP response matches the certificate and get the verify result for the certificate. More...

## Detailed Description

This class represent a revocation callback object which is used for class LTVVerifier . All the pure virtual functions in this class are used as callback functions and should be implemented by user.

See also
  LTVVerifier

## Member Function Documentation

## ◆ GetCertChainFromSignature()

def FoxitPDFSDKPython3.RevocationCallback.GetCertChainFromSignature | ( |  | signature_content | ) |

A callback function used to get the cert chain from the signature content.

Parameters

  [in] | signature_content | Signature content.

Returns
  An array that represents the cert chain.

Note
  User can throw exception for errors. Please refer to class FoxitPDFSDKPython3 and values starting from FoxitPDFSDKPython3.e_ErrFile .

## ◆ GetCertValidTimeRange()

def FoxitPDFSDKPython3.RevocationCallback.GetCertValidTimeRange | ( |  | cert | ) |

A callback function used to get the time range that represents validity period of a certificate.

Parameters

  [in] | cert | Certificate content.

Returns
  Time range that represents validity period of the certificate.

Note
  User can throw exception for errors. Please refer to class FoxitPDFSDKPython3 and values starting from FoxitPDFSDKPython3.e_ErrFile .

## ◆ GetCRLSignature()

def FoxitPDFSDKPython3.RevocationCallback.GetCRLSignature | ( |  | crl_data | ) |

A callback function used to get the signature content from a CRL response.

Parameters

  [in] | crl_data | CRL response content.

Returns
  Signature content .

Note
  User can throw exception for errors. Please refer to class FoxitPDFSDKPython3 and values starting from FoxitPDFSDKPython3.e_ErrFile .

## ◆ GetDTSTime()

def FoxitPDFSDKPython3.RevocationCallback.GetDTSTime | ( |  | signature_content | ) |

A callback function used to get the DTS (document time stamp signature) time from signature content.

Parameters

  [in] | signature_content | Signature content.

Returns
  DTS time. utc_hour_offset and utc_minite_offset of this time would be ignored.

Note
  User can throw exception for errors. Please refer to class FoxitPDFSDKPython3 and values starting from FoxitPDFSDKPython3.e_ErrFile .

## ◆ GetOCSPCertAndIssuer()

def FoxitPDFSDKPython3.RevocationCallback.GetOCSPCertAndIssuer | ( |  | ocsp_data,
|  |  | trust_cert_chain
| ) |  |

A callback function used to get the cert-issuer pair of OCSP response.

Parameters

  [in] | ocsp_data | OCSP response data.
  [in] | trust_cert_chain | The trust cert chain used to find the issuer of the OCSP cert.

Returns
  A cert-issuer pair that obtained from OCSP.

Note
  User can throw exception for errors. Please refer to class FoxitPDFSDKPython3 and values starting from FoxitPDFSDKPython3.e_ErrFile .

## ◆ GetOCSPProducedAtTime()

def FoxitPDFSDKPython3.RevocationCallback.GetOCSPProducedAtTime | ( |  | ocsp_data | ) |

A callback function used to get the produce time of the OCSP response.

Parameters

  [in] | ocsp_data | OCSP response content.

Returns
  Produce time of the OCSP response. utc_hour_offset and utc_minite_offset of this time would be ignored.

Note
  User can throw exception for errors. Please refer to class FoxitPDFSDKPython3 and values starting from FoxitPDFSDKPython3.e_ErrFile .

## ◆ GetOCSPSignature()

def FoxitPDFSDKPython3.RevocationCallback.GetOCSPSignature | ( |  | ocsp_data | ) |

A callback function used to get the signature content from a OCSP response.

Parameters

  [in] | ocsp_data | OCSP response content.

Returns
  Signature content.

Note
  User can throw exception for errors. Please refer to class FoxitPDFSDKPython3 and values starting from FoxitPDFSDKPython3.e_ErrFile .

## ◆ GetResponseOnLineForSingleCert()

def FoxitPDFSDKPython3.RevocationCallback.GetResponseOnLineForSingleCert | ( |  | cert_issuer_pair | ) |

A callback function used to get response online for a certificate.

Parameters

  [in] | cert_issuer_pair | A cert-issuer pair which represents a certificate and an issuer for the certificate.

Returns
  Response for the certificate.

Note
  User can throw exception for errors. Please refer to class FoxitPDFSDKPython3 and values starting from FoxitPDFSDKPython3.e_ErrFile .

## ◆ GetRevocationInfoFromSignatureData()

def FoxitPDFSDKPython3.RevocationCallback.GetRevocationInfoFromSignatureData | ( |  | signature_content | ) |

A callback function used to get the revocation information (in array type) from a signature.

Parameters

  [in] | signature_content | Signature content.

Returns
  Information in array type of revocation information.

Note
  User can throw exception for errors. Please refer to class FoxitPDFSDKPython3 and values starting from FoxitPDFSDKPython3.e_ErrFile .

## ◆ GetTSTSignature()

def FoxitPDFSDKPython3.RevocationCallback.GetTSTSignature | ( |  | signature_content | ) |

A callback function used to get the time stamp token content from a signature content.

Parameters

  [in] | signature_content | Signature content.

Returns
  Time stamp token content.

Note
  User can throw exception for errors. Please refer to class FoxitPDFSDKPython3 and values starting from FoxitPDFSDKPython3.e_ErrFile .

## ◆ GetTSTTime()

def FoxitPDFSDKPython3.RevocationCallback.GetTSTTime | ( |  | signature_content | ) |

A callback function used to get the time stamp token time from signature content.

Parameters

  [in] | signature_content | Signature content.

Returns
  Time of time stamp token of a signature. utc_hour_offset and utc_minite_offset of this time would be ignored.

Note
  User can throw exception for errors. Please refer to class FoxitPDFSDKPython3 and values starting from FoxitPDFSDKPython3.e_ErrFile .

## ◆ IsCA()

def FoxitPDFSDKPython3.RevocationCallback.IsCA | ( |  | cert | ) |

A callback function used to judge whether a certificate is a CA certificate.

Parameters

  [in] | cert | Certificate content.

Returns
  true means the certificate is a CA certificate, while false means not.

## ◆ IsIssuerMatchCert()

def FoxitPDFSDKPython3.RevocationCallback.IsIssuerMatchCert | ( |  | cert_issuer_pair | ) |

A callback function used to check if an issuer matches a certificate.

Parameters

  [in] | cert_issuer_pair | A cert-issuer pair. Issuer in this pair is to be checked if it matches the ceritificate in this pair.

Returns
  true means issuer matches the certificate, while false means not.

## ◆ IsOCSPNeedCheck()

def FoxitPDFSDKPython3.RevocationCallback.IsOCSPNeedCheck | ( |  | ocsp_data | ) |

A callback function used to get flag which decides if need to check OCSP response.

Parameters

  [in] | ocsp_data | OCSP response content.

Returns
  true means need to check OCSP response, while false means no need.

## ◆ Release()

def FoxitPDFSDKPython3.RevocationCallback.Release | ( |  | ) |

A callback function used to release current callback object itself.

Returns
  None.

## ◆ VerifyCRL()

def FoxitPDFSDKPython3.RevocationCallback.VerifyCRL | ( |  | cert_issuer_pair,
|  |  | crl_data
| ) |  |

A callback function used to verify whether the CRL response matches the certificate and get the verify result for the certificate.

Parameters

  [in] | cert_issuer_pair | A cert-issuer pair which represents a certificate and an issuer for the certificate.
  [in] | crl_data | CRL content.

Returns
  Certificate verify result that obtained from CRL.

Note
  User can throw exception for errors. Please refer to class FoxitPDFSDKPython3 and values starting from FoxitPDFSDKPython3.e_ErrFile .

## ◆ VerifyOCSP()

def FoxitPDFSDKPython3.RevocationCallback.VerifyOCSP | ( |  | cert_issuer_pair,
|  |  | ocsp_data
| ) |  |

A callback function used to verify whether the OCSP response matches the certificate and get the verify result for the certificate.

Parameters

  [in] | cert_issuer_pair | A cert-issuer pair which represents a certificate and an issuer for the certificate.
  [in] | ocsp_data | OCSP content.

Returns
  Certificate verify result that obtained from CRL.

Note
  User can throw exception for errors. Please refer to class FoxitPDFSDKPython3 and values starting from FoxitPDFSDKPython3.e_ErrFile .